> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request business data deletion

> Permanently deletes the business and business-owned data associated with the provided business id. This hard deletion endpoint is intended for CCPA and GDPR compliance requests. Unlike archiving a business, this operation is irreversible.



## OpenAPI

````yaml post /v1/businesses/{businessId}/request-data-deletion
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/request-data-deletion:
    post:
      tags: []
      summary: Request business data deletion
      description: >-
        Permanently deletes the business and business-owned data associated with
        the provided business id. This hard deletion endpoint is intended for
        CCPA and GDPR compliance requests. Unlike archiving a business, this
        operation is irreversible.
      operationId: business.request-data-deletion.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to permanently delete.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Business data deletion request completed. Check the `success` field
            to determine whether the deletion succeeded.
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessDataDeletionResponse'
      deprecated: false
components:
  schemas:
    BusinessDataDeletionResponse:
      type: object
      description: Response returned after requesting permanent deletion of business data.
      properties:
        success:
          type: boolean
          description: Whether the business data deletion completed successfully.
      required:
        - success
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````